define(['scripts/knockout-3.3.0','scripts/ACTComponent.js'], function(ko, ACTComponent) {

    function FrameComponentViewModel(params, element) {
		this.base = new ACTComponent($(element), params);
		this.filename = ko.observable("");
		this.element = element;
		
		this.base.onRefresh = function(obj) {
			this.filename = ko.observable(obj.FileName);

		}.bind(this);		
		
		this.base.initialize();
		params.ready(true);
    }

	return {
		createViewModel: function(params, componentInfo) {
            return new FrameComponentViewModel(params, componentInfo.element);
        }
	};

});

